API Reference for Marketo Engage

Add Form Field Visibility Rules

POST /rest/asset/v1/form/{formId}/field/{fieldId}/visibility.json

Adds a visibility rule to the target form field.

Operation ID
addFormFieldVisibilityRuleUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfFormVisibilityRuleResponse

Parameters

Path 2

formId integer (int32) required
fieldId string required

Request body

application/x-www-form-urlencoded · required · AddFormFieldVisibilityRequest · 12 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

visibilityRule FormFieldVisibilityRequest

Model FormFieldVisibilityRequest

ruleType string required

Type of rule to apply

Values show alwaysShow hide

rules array of VisibilityRuleRequest required

JSON Array of rules

Model VisibilityRuleRequest

altLabel string
operator string required

Operation to apply to target field. Evaluated against the list of values when applicable.

Show all 24 values

is isNot isEmpty isNotEmpty startsWith notStartsWith endsWith notEndsWith contains notContains greaterThan lessThan atLeast atMost between notBetween notInTimeFrame inPast notInPast after before inTimeFrame onOrAfter onOrBefore

pickListValues array of PickListDTO

Alternative label to display when rules are applied.

Model PickListDTO

visibilityRule › rules › pickListValues

isDefault boolean
label string
selected boolean
value string
subjectField string required

Target field id to apply the operation defined by operator to

values array of string required

Comma-separated list of values to match against. Valid for operators 'is', 'isNot', 'startsWith', 'notStartsWith', 'endsWith', 'notEndsWith', 'contains', and 'notContains'

Responses

200 OK ResponseOfFormVisibilityRuleResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of FormVisibilityRuleResponse

Model FormVisibilityRuleResponse

formFieldId string
ruleType string
rules array of FormVisibilityRuleDTO

Model FormVisibilityRuleDTO

altLabel string
operator string
picklistFilterValues array of PickListDTO

Model PickListDTO

result › rules › picklistFilterValues

isDefault boolean
label string
selected boolean
value string
subjectField string
values array of string
success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "formFieldId": "123",
      "ruleType": "string",
      "rules": [
        {
          "altLabel": "string",
          "operator": "string",
          "picklistFilterValues": [
            {
              "isDefault": null,
              "label": null,
              "selected": null,
              "value": null
            }
          ],
          "subjectField": "string",
          "values": [
            "string"
          ]
        }
      ]
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results